# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(Kwiki/Installer.pm) perl(Kwiki/Plugin.pm) perl(Net/DNSBLLookup.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Kwiki-DNSBL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Blocks edit from ip addresses in DNS Blackhole lists
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JO/JOOON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Much of the current WikiSpam comes from open proxies. This plugin
queries a number of DNS blackhole lists to check if users are using
an open proxy and blocks them if they do.

It uses the Net::DNSBLLookup manpage which also queries blackhole lists that
report if an ip address is known to have an open e-mail relay. This
plugin blocks these users anyway, even though WikiSpam has nothing to
do with normal e-mail spam.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/K*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

